<?php
$Permissoes = User::getUser(true);
if(!$Permissoes){
	User::blockAction("Você não tem permissão para acessar esta tela");
}
class ContratosServicosController extends GxController {


	var $help = 'Esta é a ajuda';

        public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'ContratosServicos'),
		));
	}

	public function actionCreate() {
		$model = new ContratosServicos;


		if (isset($_POST['ContratosServicos'])) {
			$model->setAttributes($_POST['ContratosServicos']);

			if ($model->save()) {
				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->COS_ID));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'ContratosServicos');


		if (isset($_POST['ContratosServicos'])) {
			$model->setAttributes($_POST['ContratosServicos']);

			if ($model->save()) {
				$this->redirect(array('view', 'id' => $model->COS_ID));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'ContratosServicos')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, 'Sua solicitação é inválida.');
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('ContratosServicos');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new ContratosServicos('search');
		$model->unsetAttributes();

		if (isset($_GET['ContratosServicos']))
			$model->setAttributes($_GET['ContratosServicos']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

}